- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaeInfinity Namespace Reference

Contains the infinity types and their conversion functions. More...

## Enumerations
enum | Infinity { CONSTANT = 0, LINEAR, CYCLE, CYCLE_RELATIVE, OSCILLATE, UNKNOWN, DEFAULT = CONSTANT }
| An infinity type. More...
## Functions
FCOLLADA_EXPORT Infinity | FromString (const char *value)
| Converts the FCollada infinity type string into a infinity type.
FCOLLADA_EXPORT const char * | ToString (Infinity infinity)
| Converts the infinity type into its FCollada infinity type string.
Infinity | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.

## Detailed Description

Contains the infinity types and their conversion functions.

## Enumeration Type Documentation

enum FUDaeInfinity::Infinity

  | An infinity type. They determine what happens when evaluating an animation curve outside of its bounds. Enumerator:
  CONSTANT | Uses the output value of the closest animation key. This is the default infinity type.
  LINEAR | Takes the distance between the closest animation key input value and the evaluation time. Multiplies this distance against the instant slope at the closest animation key and offsets the result with the closest animation key output value.
  CYCLE | Iteratively removes or adds the animation curve time length to the evaluation time until it is within the animation curve time interval and evaluates it.
  CYCLE_RELATIVE | Iteratively removes or adds the animation curve time length to the evaluation time until it is within the animation curve time interval and evaluates it. Adds to the evaluation output the number of iteration done multiplied by the difference between the animation curve start and end key outputs.
  OSCILLATE | Iteratively removes or adds the animation curve time length to the evaluation time until it is within the animation curve time interval. If the number of iterations done is even, evaluate the new evaluation time, otherwise evaluate (animation curve time length - evaluation time).
  UNKNOWN | An unknown infinity type.

## Function Documentation

Infinity FUDaeInfinity::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Infinity FUDaeInfinity::FromString | ( | const char * | value | ) |

  | Converts the FCollada infinity type string into a infinity type. Parameters:
  | value | The FCollada infinity type string.
Returns: The infinity type.

FCOLLADA_EXPORT const char* FUDaeInfinity::ToString | ( | Infinity | infinity | ) |

  | Converts the infinity type into its FCollada infinity type string. Parameters:
  | infinity | The infinity type.
Returns: The infinity type string.